/// <reference types="node" />
import { NestInterceptor, ExecutionContext, CallHandler } from '@nestjs/common';
import { Observable } from 'rxjs';
import { ModuleRef, Reflector } from '@nestjs/core';
import { AsyncLocalStorage } from 'async_hooks';
export declare class TransactionInterceptor implements NestInterceptor {
    private readonly reflector;
    private readonly moduleRef;
    private readonly asyncStorage;
    constructor(reflector: Reflector, moduleRef: ModuleRef, asyncStorage: AsyncLocalStorage<Map<string, any>>);
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
}
