"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Propagation = exports.IsolationLevel = void 0;
var IsolationLevel;
(function (IsolationLevel) {
    IsolationLevel["READ_UNCOMMITTED"] = "READ UNCOMMITTED";
    IsolationLevel["READ_COMMITTED"] = "READ COMMITTED";
    IsolationLevel["REPEATABLE_READ"] = "REPEATABLE READ";
    IsolationLevel["SERIALIZABLE"] = "SERIALIZABLE";
})(IsolationLevel = exports.IsolationLevel || (exports.IsolationLevel = {}));
var Propagation;
(function (Propagation) {
    Propagation["MANDATORY"] = "MANDATORY";
    Propagation["NESTED"] = "NESTED";
    Propagation["NEVER"] = "NEVER";
    Propagation["NOT_SUPPORTED"] = "NOT_SUPPORTED";
    Propagation["REQUIRED"] = "REQUIRED";
    Propagation["REQUIRES_NEW"] = "REQUIRES_NEW";
    Propagation["SUPPORTS"] = "SUPPORTS";
})(Propagation = exports.Propagation || (exports.Propagation = {}));
